package com.muyu.rule.common.basic.abstracts;

import com.muyu.common.domain.DataValue;
import com.muyu.rule.common.basic.BasicEngine;
import com.muyu.rule.common.basic.handler.DataEngineValueHandler;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.abstracts
 * @Project：cloud-etl-rule
 * @name：DataEngineValueAu
 * @Date：2024/8/29 15:11
 */
public abstract class DataEngineValueActuator implements BasicEngine<DataValue> {

public void set(DataValue dataValue){
    DataEngineValueHandler.set(dataValue);
}

public DataValue get(){
    return DataEngineValueHandler.get();
}

    @Override
    public void execution() {

    this.run();
    this.remove();

}
    public abstract void run();

}
