package com.muyu.rule.common.basic.handler;

import com.muyu.common.core.text.Convert;
import com.muyu.common.domain.DataValue;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.handler
 * @Project：cloud-etl-rule
 * @name：数据值作用域
 * @Date：2024/8/29 14:35
 */
public class DataEngineValueHandler {


    public static void set(DataValue dataValue){

        DataEngineHandler.set(dataValue);

    }
    public static DataValue get(){
        return DataEngineHandler.get();
    }

    public static void remove(){
        DataEngineHandler.remove();
    }

    public static Object getValue(){
        return get().getValue();
    }

    public static Integer getInt(){
        return Convert.toInt(getValue(),null);
    }

}
