package com.muyu.rule.common.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.common.domain.resp
 * @Project：cloud-etl-rule
 * @name：RuleRegion
 * @Date：2024/8/23 9:03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "规则作用域")
public class RuleRegion extends BaseEntity {

    private Long regionId;

    private String regionName;


}
