package com.muyu.rule.common.engine;

import com.muyu.common.domain.DataValue;
import com.muyu.rule.common.basic.abstracts.DataEngineRowActuator;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.engine.row
 * @Project：cloud-etl-rule
 * @name：ENGINE_ROW_HANG_R1
 * @Date：2024/8/30 11:13
 */
public class ENGINE_ROW_HANG_R1 extends DataEngineRowActuator {

    /**
     * 数据行去重
     */
    @Override
    public void run() {
        DataValue[] dataValues = get();
        System.out.println(Arrays.toString(dataValues));
        // 使用 HashSet 去重
        Set<DataValue> uniquePeople = new HashSet<>(Arrays.asList(dataValues));

        // 将 Set 转换回数组
        DataValue[] uniqueArray = uniquePeople.toArray(new DataValue[0]);
        System.out.println(Arrays.toString(uniqueArray));
        set(uniqueArray);
        DataValue[] dataValues1 = get();
        System.out.println(Arrays.toString(dataValues1));
    }

}
