package com.muyu.rule.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.rule.common.domain.RuleEngine;
import com.muyu.rule.common.domain.RuleRegion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @Author：张承志
 * @Package：com.muyu.etl.mapper
 * @Project：cloud-etl
 * @name：EtlRuleMapper
 * @Date：2024/8/21 14:22
 */
@Mapper
public interface EtlRuleMapper extends BaseMapper<RuleEngine> {


    @Select("select region_id,region_name from rule_region")
    List<RuleRegion> findAllRuleRegion();
}
